%define name helix-dbus-server
%define version 0.3.0
%define release %mkrel 2
%define helixver %(rpm -q helixplayer --queryformat %%{VERSION})

Summary: D-BUS wrapper around Helixplayer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/%name/%{name}-%{version}.tar.gz
#gw use the aoss script instead of preloading the aoss library
Patch: helix-dbus-server-0.2.2-aoss.patch
License: BSD
Group: System/Libraries
Url: http://banshee-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: helixplayer = %helixver
Requires: aoss
# gw currently there's no x86_64 helixplayer
ExclusiveArch: %ix86
BuildRequires: helixplayer
BuildRequires: dbus-glib-devel
BuildRequires: X11-devel

%description
helix-dbus-player is made up of two main components:

hxplayer and hxmessage: a simple C/GLib wrapper on top of Helix's
hxclientkit API that consolidates hxclientkit events into a single
message API and offers full playback functionality. It also handles
threading and engine pumping

helix-dbus-server exposes hxplayer and hxmessage over DBus, allowing
full control of the Helix player and the propagation of hxmessages over
the 'Message' signal.

%prep
%setup -q
%patch -p1

%build
%configure2_5x --with-helix-libs=%_libdir/helixplayer-%helixver
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS ChangeLog AUTHORS
%_bindir/%name
%_bindir/%name.bin
%_libdir/pkgconfig/*.pc
%_datadir/dbus-1/services/*.service



%changelog
* Wed Sep 27 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-09-27 10:18:38 (62675)
- build on i586 only

* Tue Sep 26 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-09-26 12:49:53 (62643)
- new version
  fix buildrequires
  fix description

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-22 20:16:43 (57525)
- rebuild for new helixplayer

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-08 14:13:14 (54418)
- new version

* Mon Aug 07 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-07 23:48:13 (54251)
- fix buildrequires

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 09:46:12 (43111)
- import helix-dbus-server-0.2.2-3mdv2007.0
